Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ErrorDialog Class Reference

Class for displaying the error dialog if Ogre fails badly. More...

`#include <OgreErrorDialog.h>`

Inheritance diagram for Ogre::ErrorDialog:

[legend]
List of all members.

## Public Methods

virtual void | display (const String &errorMessage, String logName="")=0
| Displays the error dialog.

## Detailed Description

Class for displaying the error dialog if Ogre fails badly.

Definition at line 36 of file OgreErrorDialog.h.

## Member Function Documentation

virtual void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = ""
| ) | `[pure virtual]`

Displays the error dialog.

Parameters:

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

Implemented in Ogre::GLXError, Ogre::SDLError, and Ogre::Win32ErrorDialog.

Referenced by Ogre::handleTerminate().

The documentation for this class was generated from the following file:

- OgreErrorDialog.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:55 2004